﻿////////////////////////////////////////////////////////
//
// ActiveToFocus is a professional to provide Flash/Flex technology services team.
//
////////////////////////////////////////////////////////

/**
 * DisplayObjUtils
 *
 * @version 1.0
 * @since  2011-07-27
 * @author activetofocus team
 * @author's Blog blog.activetofocus.com
 * @ATF Team Site www.activetofocus.com
 */
	
package com.activetofocus.facebook.modules.contact
{
	import com.activetofocus.utils.*;
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.IOErrorEvent;
	import flash.display.MovieClip;
    import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.ProgressEvent;
	import flash.geom.Point;
	import flash.geom.Rectangle;
    import flash.net.URLLoader;
	import flash.net.URLRequest;
	import com.activetofocus.events.LoadDataEvent;
	import caurina.transitions.Tweener;
	
	public class DisplayObjUtils extends SuperMovieClip
	{
		//--------------------------------------
		//  Variables
		//--------------------------------------

		/**
		 *  show data
		 */
		
		private var _nowObject:*;
		
		private var _delay:Number = 1;
		
		private var _path:String;
		
		/**
    	 *  constructor
     	 */
		public function DisplayObjUtils(params:Object = null):void
		{
		
		}
		
		//--------------------------------------
		//  Override Function
		//--------------------------------------
		
		/**
		 * add to stage
		 */
		override public function initialize():void 
		{
	
		} 
		
		/**
		 * remove from stage
		 */
		override public function destroy():void 
		{
			
		}
		
		/**
		 *  change item
		 */
		public function changeItem(path:String,bool:Boolean):void
		{
			//_path = path;
			if (_nowObject) 
			{
				if (!bool)
				{
					Tweener.addTween(_nowObject, { x:_nowObject is ImageUtils ? -400 : -720, alpha:0, time:_delay, onComplete:onComplete , onCompleteParams:[_nowObject] } );
				}
				else
				{
					Tweener.addTween(_nowObject, { x:_nowObject is ImageUtils ? 400 : 80, alpha:0, time:_delay, onComplete:onComplete , onCompleteParams:[_nowObject] } );
				}
			}
			
			if (path.indexOf(".flv") == -1)
			{
				var imageUtils:ImageUtils = new ImageUtils( { path:path } );
				_nowObject = imageUtils;
				imageUtils.alpha = 0;
				imageUtils.x = 0;
				imageUtils.y = 0;
				addChild(imageUtils);
				Tweener.addTween(imageUtils, {x:0,alpha:1,time:_delay ,delay:0.5} );
			}
			else
			{
				
			}
			
		}
		
		/**
		 * remove object
		 */
		private function onComplete(obj:*):void
		{
			Clear.removeChild(obj);
		}
		
	}
}