﻿////////////////////////////////////////////////////////
//
// ActiveToFocus is a professional to provide Flash/Flex technology services team.
//
////////////////////////////////////////////////////////

/**
 * ImageUtils
 *
 * @version 1.0
 * @since  2011-07-24
 * @author activetofocus team
 * @author's Blog blog.activetofocus.com
 * @ATF Team Site www.activetofocus.com
 */

package com.activetofocus.facebook.modules.contact
{
	import caurina.transitions.Tweener;
	import caurina.transitions.Equations;
	import com.activetofocus.utils.PageUtils;
	import com.activetofocus.utils.Qloader;
	import com.activetofocus.utils.SuperMovieClip;
	import com.activetofocus.utils.SlideUtils;
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.DisplayObject;
	import flash.display.Loader;
	import flash.display.Sprite;
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.filters.ColorMatrixFilter;
	import flash.text.*;
	import com.activetofocus.utils.Clear;
	import flash.filters.DropShadowFilter;
	
	public class ImageUtils extends SuperMovieClip
	{
		
		//--------------------------------------
		//  Variables
		//--------------------------------------
		
		/**
		 *  data
		 */
		private var _params:Object;
		private var _delay:Number = 0.5;
		/**
		 * panel
		 */
		
		/**
    	 *  constructor
     	 */
		public function ImageUtils(params:Object) 
		{
			_params = params;
		}
		
		//--------------------------------------
		//  Override Function
		//--------------------------------------
		
		/**
		 * add to stage
		 */
		override public function initialize():void 
		{
			init()
		} 
		
		/**
		 * remove from stage
		 */
		override public function destroy():void 
		{
			
		}
		
		//--------------------------------------
		//  Function
		//--------------------------------------
		
		/**
		 * init all data
		 */
		private function init():void
		{
		//	trace(_params['path'])
			var qloader:Qloader = new Qloader({QloaderNumber:1,itemIOErrorFun:onLoadItemError,itemCompleteFun:onLoadItemComplete,itemProgressFun:onLoadItemProgress});
			qloader.load(_params['path']);
			qloader.execute();
			
		}
		//--------------------------------------
		//  Event
		//--------------------------------------
		
		
		/**
		 * load item complete
		 */
		private function onLoadItemComplete(params:Object):void
		{
			var sp:Sprite = new Sprite();
			var lo:Loader = params.data ;
			var bmd:BitmapData = new BitmapData(lo.width, lo.height, true);
			bmd.draw(lo);
			
			var bm:Bitmap = new Bitmap(bmd, "auto", true);
			bm.x = -bm.width / 2;
			bm.y = -bm.height / 2;
			sp.addChild(bm);
			sp.alpha = 0;
			addChild(sp);
			Tweener.addTween(sp, { alpha:1, time:_delay } );
		}
		
		/**
		 * load item error
		 */
		private function onLoadItemError(params:Object):void
		{
			trace("onLoadMainXMLError");
		}
		
		/**
		 * load item progress
		 */
		private function onLoadItemProgress(params:Object):void
		{
			//Tweener.addTween(_progSprite, {width:200 * Number(params.bytesLoaded/params.bytesLoaded),time:0.3 ,transition:Equations.easeInCubic} );
		}
		
	}
	
}