﻿////////////////////////////////////////////////////////
//
// ActiveToFocus is a professional to provide Flash/Flex technology services team.
//
////////////////////////////////////////////////////////

/**
 * MainPreloaderPanel
 *
 * @version 1.0
 * @since  2011-04-29
 * @author activetofocus team
 * @author's Blog blog.activetofocus.com
 * @ATF Team Site www.activetofocus.com
 */

package  com.activetofocus.facebook.view
{
	import caurina.transitions.Tweener;
	import com.activetofocus.facebook.components.SocialIcons;
	import com.activetofocus.utils.GetURL;
	import com.activetofocus.utils.SuperMovieClip;
	import com.activetofocus.utils.ObjectUtils;
	import com.activetofocus.utils.Clear;
	import flash.text.TextField;
	import flash.events.TextEvent;
	import flash.display.MovieClip;
	
	public class MainPreloaderPanel extends SuperMovieClip
	{
		
		//--------------------------------------
		//  Variables
		//--------------------------------------
		
		/**
		 * data
		 */
		private var _list:XMLList;

		/**
    	 *  constructor
     	 */
		public function MainPreloaderPanel() 
		{
			
		}
		
		//--------------------------------------
		//  Override Function
		//--------------------------------------
		
		/**
		 * add to stage
		 */
		override public function initialize():void 
		{
			init();
		} 
		
		/**
		 * remove from stage
		 */
		override public function destroy():void 
		{
			
		}
		
		//--------------------------------------
		//  Function
		//--------------------------------------
		
		/**
		 * init
		 */
		private function init():void
		{
			preloader.visible = false;
			
		}
		
		/**
		 * draw background
		 */
		private function draw(alpha:Number):void
		{
			this.graphics.clear();
			this.graphics.beginFill(0x000000,alpha);
			this.graphics.drawRect(-260, -300, 520,600);
			this.graphics.endFill();
		}
		
		/**
		 * open preloader
		 */
		public function open(alpha:Number = 1):void
		{
			//trace("main preloader open");
			Tweener.removeTweens(this);
			this.alpha = 0;
			preloader.visible = true;
			draw(alpha);
			Tweener.addTween(this, { alpha:1,time:1} );
		}
		
		/**
		 * close preloader
		 */
		public function close():void
		{
			//trace("main preloader close");
			Tweener.removeTweens(this);
			Tweener.addTween(this, { alpha:0,time:1,onComplete:onComplete} );
		}
		
		/**
		 * complete
		 */
		private function onComplete():void
		{
			Tweener.removeTweens(this);
			preloader.visible = false;
			this.graphics.clear();
		}
		
		
	}
	
}