﻿package com.activetofocus.video.events
{
	import flash.events.Event;
	
	/**
	 * VideoPlayerMenuComponentsEvent
	 *
	 * @author activetofocus team
	 * @since  2010-04-12
	 */
	public class VideoPlayerMenuComponentsEvent extends Event
	{
		/** 
		 *  video play
		 */
		public static const VIDEO_PLAY:String = "VIDEO_PLAY";
		
		/** 
		 *  video stop
		 */
		public static const VIDEO_STOP:String = "VIDEO_STOP";
		
		/** 
		 *  video stop all
		 */
		public static const VIDEO_STOP_ALL:String = "VIDEO_STOP_ALL";
		
		/** 
		 *  video seek
		 */
		public static const VIDEO_SEEK:String = "VIDEO_SEEK";
		
		/** 
		 *  time change
		 */
		public static const TIME_CHANGE:String = "TIME_CHANGE";
		
		/** 
		 *  video sound value change
		 */
		public static const SOUND_CHANGE:String = "SOUND_CHANGE";
		
		/** 
		 *  video desc change
		 */
		public static const DESC_CHANGE:String = "DESC_CHANGE";
		
		/** 
		 *  fullscreen change
		 */
		public static const FULLSCREEN_CHANGE:String = "FULLSCREEN_CHANGE";
		
		/**
		 *  post coustom data
		 */
		public var data:*;
		
		/**
		 *  controller
		 */
		public function VideoPlayerMenuComponentsEvent(type:String, data:* = null)
		{
			super(type);
			this.data = data;
		}
		
	}
}