﻿package com.activetofocus.events
{
	import flash.events.Event;
	
	/**
	 * VideoPlayerEvent
	 *
	 * @author activetofocus team
	 * @since  2010-04-12
	 */
	public class VideoPlayerEvent extends Event
	{
		
		/** 
		 *  video load progress
		 */
		public static const LOAD_PROGRESS:String = "LOAD_PROGRESS";
		
		/** 
		 *  video buffer progress
		 */
		public static const BUFFER_PROGRESS:String = "BUFFER_PROGRESS";
		
		/** 
		 *  video buffer full
		 */
		public static const BUFFER_FULL:String = "BUFFER_FULL";
		
		/** 
		 *  video play ready
		 */
		public static const VIDEOPLAYER_READY:String = "VIDEOPLAYER_READY";
		
		/** 
		 *  video play complete
		 */
		public static const VIDEOPLAYER_COMPLETE:String = "VIDEOPLAYER_COMPLETE";
		
		/** 
		 *  video play start
		 */
		public static const VIDEOPLAYER_START:String = "VIDEOPLAYER_START";
		
		/** 
		 *  video play stop
		 */
		public static const VIDEOPLAYER_STOP:String = "VIDEOPLAYER_STOP";
		
		/** 
		 *  video play update time
		 */
		public static const VIDEOPLAYER_TIME_UPDATE:String = "VIDEOPLAYER_TIME_UPDATE";
		
		/** 
		 *  video play error
		 */
		public static const VIDEO_ERROR:String = "VIDEO_ERROR";
		
		/**
		 *  post coustom data
		 */
		public var data:Object;
		
		/**
		 *  controller
		 */
		public function VideoPlayerEvent(type:String, data:Object = null)
		{
			super(type);
			this.data = data;
		}
		
	}
}