﻿////////////////////////////////////////////////////////
//
// ActiveToFocus is a professional to provide Flash/Flex technology services team.
//
////////////////////////////////////////////////////////

/**
 * GalleryTipItem
 *
 * @version 1.0
 * @since  2011-07-30
 * @author activetofocus team
 * @author's Blog blog.activetofocus.com
 * @ATF Team Site www.activetofocus.com
 */

package com.activetofocus.facebook.modules.gallery
{
	import caurina.transitions.Tweener;
	import caurina.transitions.Equations;
	import com.activetofocus.utils.PageUtils;
	import com.activetofocus.utils.Qloader;
	import com.activetofocus.utils.SuperMovieClip;
	import com.activetofocus.utils.SlideUtils;
	import com.activetofocus.utils.TextUtils;
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.DisplayObject;
	import flash.display.Loader;
	import flash.display.Sprite;
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.filters.ColorMatrixFilter;
	import flash.text.*;
	import com.activetofocus.utils.Clear;
	import flash.geom.Rectangle;
	import flash.text.*;
	import flash.filters.DropShadowFilter;
	
	public class GalleryTipItem extends SuperMovieClip
	{
		
		//--------------------------------------
		//  Variables
		//--------------------------------------
		
		
		private var _str:String;
		
		private var _nameTxt:TextField;
		
		/**
		 *  data
		 */
		private var _delay:Number = 0.6;
		
		
		/**
    	 *  constructor
     	 */
		public function GalleryTipItem(str:String) 
		{
			//trace(str);
			_str = str;
		}
		
		//--------------------------------------
		//  Override Function
		//--------------------------------------
		
		/**
		 * add to stage
		 */
		override public function initialize():void 
		{
			this.mouseEnabled = false;
			//trace("ShowIt");
			_nameTxt = new TextField();
			addChild(_nameTxt);
			
			//_nameTxt.embedFonts     = true;
			_nameTxt.mouseEnabled 	= false;
			_nameTxt.selectable 	= false;
			_nameTxt.antiAliasType  = AntiAliasType.ADVANCED;
			_nameTxt.autoSize       = TextFieldAutoSize.LEFT;
			_nameTxt.wordWrap       = false;
			
			_nameTxt.text = _str;
			_nameTxt.setTextFormat(new TextFormat("Arial", 13, 0x000000));
			
			var rec:Rectangle = _nameTxt.getBounds(_nameTxt);
			
			_nameTxt.x = -int(_nameTxt.width/2);
			_nameTxt.y = -9;
			bg.width = rec.width + 32;
			
		} 
		
		/**
		 * remove from stage
		 */
		override public function destroy():void 
		{
			
		}
		
		//--------------------------------------
		//  Function
		//--------------------------------------
		
		 
		//--------------------------------------
		//  Event
		//--------------------------------------
		
	}
	
}