﻿////////////////////////////////////////////////////////
//
// ActiveToFocus is a professional to provide Flash/Flex technology services team.
//
////////////////////////////////////////////////////////

/**
 * BitmapBackground
 * 
 * @version 1.0
 * @since  2010-04-03
 * @author activetofocus team
 * @author's Blog blog.activetofocus.com
 * @ATF Team Site www.activetofocus.com
 */
	
package com.activetofocus.utils
{

	
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	import flash.geom.Point;
	import flash.display.GradientType;
	import flash.display.BitmapData;
	
	
	public class BitmapBackground
	{
		
		//--------------------------------------
		//  Variables
		//--------------------------------------
		
		/**
   		 *  constructor
    	 */
		public function BitmapBackground()
		{
		}
		
		//--------------------------------------
		//  Function
		//--------------------------------------
		public static function getBitmapData(type:uint = 0,co1:uint = 0x000000,co2:uint = 0x123123,alpha:Number = 1):BitmapData
		{
			var fp:Sprite = new Sprite();
			
			switch(type)
			{
				case 0:	fp.graphics.beginFill(co1,alpha);
						fp.graphics.drawRect(0,0,3,3);
						fp.graphics.endFill();
						fp.graphics.beginFill(co2,alpha);
						fp.graphics.drawRect(0,0,2,2);
						fp.graphics.endFill();
						break;
				case 1: fp.graphics.beginFill(co1,alpha);
						fp.graphics.drawRect(0,0,3,3);
						fp.graphics.endFill();
						fp.graphics.beginFill(co2,alpha);
						fp.graphics.drawRect(0, 2, 1, 1);
						fp.graphics.drawRect(1, 1, 1, 1);
						fp.graphics.drawRect(2,0,1,1);
						fp.graphics.endFill();
						break;
				case 2: fp.graphics.beginFill(co1,alpha);
						fp.graphics.drawRect(0,0,4,4);
						fp.graphics.endFill();
						fp.graphics.beginFill(co2,alpha);
						fp.graphics.drawRect(3, 3, 1, 1);
						fp.graphics.endFill();
						break;
			}
			
			var bitmap:BitmapData = new BitmapData(4,4);
			bitmap.draw(fp);
			
			return bitmap;
		}
	}
	
}