﻿////////////////////////////////////////////////////////
//
// ActiveToFocus is a professional to provide Flash/Flex technology services team.
//
////////////////////////////////////////////////////////

/**
 * LoaderData 
 *
 * @version 1.0
 * @since  2010-04-03
 * @author activetofocus team
 * @author's Blog blog.activetofocus.com
 * @ATF Team Site www.activetofocus.com
 */
	
package  com.activetofocus.utils
{
	import flash.display.DisplayObject;
	
	public class Clear 
	{
		/**
		 * remove child
		 */
		public static function removeChild(obj:DisplayObject):void
		{
			if (obj && obj.parent != null)
			{
				try 
				{
					obj.parent.removeChild(obj);
				}
				catch (e:Error)
				{
					obj = null;
				}
			}
		}
		
		/**
		 * remove event
		 */
		public static function removeEvent(obj:*,style:String,fun:Function):void
		{
			if (obj && obj.hasEventListener(style))
			{
				try
				{
					obj.removeEventListener(style, fun);
				}catch (e:Error) { };
			}
		}
	}
	
}