﻿////////////////////////////////////////////////////////
//
// ActiveToFocus is a professional to provide Flash/Flex technology services team.
//
////////////////////////////////////////////////////////

/**
 * DisplayLine 
 *
 * @version 1.0
 * @since  2010-04-03
 * @author activetofocus team
 * @author's Blog blog.activetofocus.com
 * @ATF Team Site www.activetofocus.com
 */
	
package  com.activetofocus.utils
{
	import flash.display.BitmapData;
	import flash.display.Sprite;

	public class DisplayLine 
	{
		
		/**
		 * get line panel
		 */
		public static function getLineSprite(w:Number,h:Number,color:uint=0x000000,alpha:Number=1):Sprite
		{
			var sp:Sprite = new Sprite();
			sp.graphics.beginFill(color, alpha);
			sp.graphics.drawRect(1, 0, 1, 1);
			sp.graphics.drawRect(0, 1, 1, 1);
			sp.graphics.endFill();
			
			var bmd:BitmapData = new BitmapData(sp.width, sp.height, true);
			bmd.draw(sp);
			
			var sp2:Sprite = new Sprite();
			sp2.graphics.beginBitmapFill(bmd, null, true, false);
			sp2.graphics.drawRect(0, 0, w, h);
			sp2.graphics.endFill();
			
			return sp2;
			
		}
		
		/**
		 * get 9 gird style
		 */
		public static function getGird(w:Number,h:Number,bmd:BitmapData):Sprite
		{
			var sp2:Sprite = new Sprite();
			sp2.graphics.beginBitmapFill(bmd, null, true, false);
			sp2.graphics.drawRect(0, 0, w, h);
			sp2.graphics.endFill();
			
			return sp2;
			
		}
	}
	
}